## stepic 0.3

=== debian/changelog ===
stepic (0.3-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * Add debian/patches/0004-Port-to-python3.patch to port stepic to python3
  * Update depends/build-depends/rules/description for Python3 port
  * Rename binary to stepic to match primary use as an application
  * Refresh patches after svn/git-dpm to gbp pq conversion
  * Update obsolete python-imaging depends with python-pil (Closes: #866482)
  * Bump compat/debhelper minimum version to 9
  * Bump standards-version to 4.1.3 without further change
  * Add build-depends on dh-python
  * Delete Debian Python Modules Team from uploaders - this is really an
    application
  * Update Vcs-* for move to salsa.debian.org
  * Change section to graphics to match application usage
  * Update homepage field and debian watch for new upstream location

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Jan 2018 16:45:31 -0500

stepic (0.3-5) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * Cherrypick from upstream bzr (rev 39) to check for allow image types and
    reject jpeg (Closes: #649053)
  * Fixed version in setup.py (Closes: #588049)
  * Changed /usr/bin/env python to /usr/bin/python
  * Add quilt to build-depends, build with quilt in debian/rules for above
    changes, and add README.source
  * Expanded long description to mention support formats
  * Bumped standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Mar 2014 22:30:55 -0500

stepic (0.3-4) unstable; urgency=low

  * Rebuild for python transition
  * Move python-all from Build-Depends-Indep to Build-Depends (needed for
    clean)
  * Bump standards version to 3.9.2 without further change
  * Switch from XS-Python-Version to X-Python-Version
  * Drop XB-Python-Version
  * Update packaging copyright years in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Apr 2011 00:16:25 -0400

stepic (0.3-3) unstable; urgency=low

  * Convert from python-support to dh_python2
    - Update python build-dep to python-all >= 2.6.5-2~, update debhelper
      requirement to 7.3.16, and drop python-support
    - Change debian/rules to build --with python2
  * Change XS-Python-Version from all to >= 2.4
  * Update debian/rules to use overrides instead of --before/after
  * Bump standards version to 3.8.4 without further change
  * Drop DM-Upload-Allowed

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Jun 2010 14:47:50 +0000

stepic (0.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Switch Vcs-Browser field to viewsvn

  [ Scott Kitterman ]
  * debian/rules
    - Convert to dh 7 rules style (fixes dh_compress failure to compress man
      page)
    - Remove all of the un-needed /usr/share/doc/stepic/ instead of just the
      redundant copying file
  * debian/control
    - Adjust versioned build-depends on python for correct python.mk
    - Bump debhelper version requirement to 7
    - Bump standards version to 3.8.3 without further change
    - Add ${misc:Depends}
    - Add XS-Python-Verson
  * debian/copyright
    - Use correct copyright symbol
  * debian/compat
    - Change compat to 7

  [ Piotr Ożarowski ]
  * Add DM-Upload-Allowed flag
  * Remove build dir in clean target

 -- Scott Kitterman <scott@kitterman.com>  Sun, 01 Nov 2009 21:30:08 -0500

stepic (0.3-1) unstable; urgency=low

  * Initial release (Closes: #450734)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Jan 2008 00:21:45 -0500

## stepic 0.4.1

=== Makefile ===
all: documentation nightly clean

nightly:
	RELEASE=0 ./setup.py sdist --formats=gztar

release:
	RELEASE=1 ./setup.py sdist --formats=gztar

documentation: doc/help.txt doc/pydoc/stepic.html stepic.1

doc/help.txt: stepic
	./stepic --help > doc/help.txt

doc/pydoc/stepic.html: stepic.py
	pydoc -w stepic
	mkdir -p doc/pydoc/
	mv stepic.html doc/pydoc/

stepic.1: stepic stepic.help2man_include
	help2man --include=stepic.help2man_include --output=stepic.1 ./stepic

clean:
	./setup.py clean
	-rm -rf build MANIFEST
	-find -name "*.py[co]" -print0 | xargs -0 rm

.PHONY: all release documentation clean

=== debian/changelog ===
stepic (0.4.1-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, incorporated upstream

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Jan 2018 23:59:07 -0500

=== debian/control ===
Source: stepic
Section: graphics
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9~), python3-all, dh-python, quilt
Standards-Version: 4.1.3
Homepage: https://code.launchpad.net/stepic
Vcs-Git: https://salsa.debian.org/kitterman/stepic.git
Vcs-Browser: https://salsa.debian.org/kitterman/stepic

Package: python-stepic
Architecture: all
Depends: ${misc:Depends}, stepic
Section: oldlibs
Description: Python Steganography in Images
 A Python module and command line tool for hiding arbitrary data within
 images by slightly modifying the colors. These modifications are generally
 imperceptible to humans, but are machine detectable.  Works with RGB, RGBA,
 or CMYK images.
 .
 This is a transitional package and may be safely removed

Package: stepic
Architecture: all
Breaks: python-stepic (<< 0.3-6~)
Replaces: python-stepic (<< 0.3-6~)
Depends: ${python3:Depends}, ${misc:Depends}, python3-pil
Description: Python 3 Steganography in Images
 A Python 3 module and command line tool for hiding arbitrary data within
 images by slightly modifying the colors. These modifications are generally
 imperceptible to humans, but are machine detectable.  Works with RGB, RGBA,
 or CMYK images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,quilt --buildsystem=pybuild

override_dh_python3:
	dh_python3 -p stepic

override_dh_installchangelogs:
	rm -rf $(CURDIR)/debian/stepic/usr/share/doc/stepic/COPYING
	dh_installchangelogs

override_dh_clean:
	rm -rf $(CURDIR)/build
	dh_clean

=== debian/watch ===
version=3
https://launchpad.net/stepic/+download https://launchpad.net/stepic/.*/.*/stepic-(.*)\.tar\.gz

## stepic 0.5.0

=== Makefile ===
release:
	python3 setup.py sdist --formats=gztar

documentation: doc/build doc/help.txt doc/pydoc/stepic.html stepic.1

doc/build:
	virtualenv --python=python3 --system-site-packages venv1
	python3 setup.py bdist_wheel
	./venv1/bin/pip install -f dist/ stepic

doc/help.txt: doc/build
	./venv1/bin/stepic --help > doc/help.txt

doc/pydoc/stepic.html: doc/build
	./venv1/bin/python -m pydoc -w stepic
	mkdir -p doc/pydoc/
	mv stepic.html doc/pydoc/

stepic.1: stepic.help2man_include doc/build
	help2man --include=stepic.help2man_include --output=stepic.1 ./venv1/bin/stepic

clean:
	python3 setup.py clean
	-rm -rf build MANIFEST
	-find -name "*.py[co]" -print0 | xargs -0 rm
	-rm -rf venv1

.PHONY: doc/build release documentation clean

=== debian/changelog ===
stepic (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - Add build-depends on python3-setuptools
    - Remove obsolete debian/stepic.install and update debian/stepic.docs
  * Drop unneeded --with quilt in debian/rules since the package is format
    3.0 (Quilt) now
  * Drop no longer needed python-stepic transitional package
  * Update debian/watch to check signature and add upstream signing key
  * Run tests during build, add python3-pillow to build-depends
  * Switch to debhelper-compat and update to compat 12
  * Bump standards-version to 4.5.0 without further change
  * Add autopkgtest to run upstream tests
  * Add debian/stepic.doc-base
  * Update Homepage field to point at the actual home page
  * Drop obsolete Breaks/Replaces: python-stepic

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 May 2020 16:19:26 -0400

=== debian/control ===
Source: stepic
Section: graphics
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper-compat (= 12), python3-all, python3-setuptools, python3-pillow, dh-python
Standards-Version: 4.5.0
Homepage: https://launchpad.net/stepic
Vcs-Git: https://salsa.debian.org/kitterman/stepic.git
Vcs-Browser: https://salsa.debian.org/kitterman/stepic

Package: stepic
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pil
Description: Python 3 Steganography in Images
 A Python 3 module and command line tool for hiding arbitrary data within
 images by slightly modifying the colors. These modifications are generally
 imperceptible to humans, but are machine detectable.  Works with RGB, RGBA,
 or CMYK images.

=== debian/tests/control ===
Tests: run-unittest
Depends: @, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://launchpad.net/stepic/+download https://launchpad.net/stepic/.*/.*/stepic-(.*)\.tar\.gz
